﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections.ObjectModel;
using System.ComponentModel;

namespace WpfApplication246.ViewModel
{
  public  class VM:INotifyPropertyChanged
    {

      ObservableCollection<Person> people = new ObservableCollection<Person>();
      public ObservableCollection<Person> People
      {
          get { return people; }
          set { people = value;
          NotifyPropertyChanged("People");
          }
      }


      public event PropertyChangedEventHandler PropertyChanged;

      private void NotifyPropertyChanged(String info)
      {
          if (PropertyChanged != null)
          {
              PropertyChanged(this, new PropertyChangedEventArgs(info));
          }
      }

      public VM()
      {
          for (int i = 0; i < 29; i++)
          {
              Person p = new Person()
              {
                  Fax = "fax " + i.ToString(),
                  FirstName = "firstname " + i.ToString(),
                  LastName = "lastname " + i.ToString(),
                  AptNo = "aptno " + i.ToString(),
                  City = "city " + i.ToString(),
                  Salary = 34000 + (i * 1000),
                  State = "state " + i.ToString(),
                  DOB = DateTime.Now.Date.AddYears(-30),
                  Married = true,
                  Mobile = "mobile " + i.ToString(),
                  Telephone = "telephone " + i.ToString(),
                  Occupation = "occupation " + i.ToString(),
                  Street = "street " + i.ToString(),
                  Zip = "zip " + i.ToString()


              };

              people.Add(p);
          }
      }

    }
}
