﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;
using System.Collections.ObjectModel;

namespace WpfApplication246.ViewModel
{
   public  class Person:INotifyPropertyChanged
    {

       string firstname = string.Empty;
       public string FirstName
       {
           get { return firstname; }
           set
           {
               firstname = value;
               NotifyPropertyChanged("FirstName");
           }
       }


       string lastname = string.Empty;
       public string LastName
       {
           get { return lastname; }
           set { lastname = value;
            NotifyPropertyChanged("LastName");}
       }

       string city = string.Empty;
       public string City
       {
           get { return city; }
           set { city = value;
           NotifyPropertyChanged("City");
           }
       }
       string state = string.Empty;
       public string State
       {
           get { return state; }
           set { state = value;
           NotifyPropertyChanged("State");
           }
       }

       string street = string.Empty;
       public string Street
       {
           get { return street; }
           set { street = value;
           NotifyPropertyChanged("Street");
           }
       }

       string zip = string.Empty;
       public string Zip
       {
           get { return zip; }
           set { zip = value;
           NotifyPropertyChanged("Zip");
           }
       }

       string aptno = string.Empty;
       public string AptNo 
       {
           get { return aptno; }
           set { aptno = value;
           NotifyPropertyChanged("AptNo");
           }

       }

       string telephone = string.Empty;
       public string Telephone
       {
           get { return telephone; }
           set { telephone = value;
           NotifyPropertyChanged("Telelphone");
           }

       }

       string mobile = string.Empty;
       public string Mobile
       {
           get { return mobile; }
           set { mobile = value;
           NotifyPropertyChanged("Mobile");
           }
       }

       string fax = string.Empty;
       public string Fax
       {
           get { return fax; }
           set { fax = value;
           NotifyPropertyChanged("Fax");
           }
       }

       string occupation = string.Empty;
       public string Occupation
       {
           get { return occupation; }
           set { occupation = value;
           NotifyPropertyChanged("Occupation");
           }
       }

       double salary = 0.00;

       public double Salary
       {
           get { return salary; }
           set { salary = value;
           NotifyPropertyChanged("Salary");
           }
       }

       Boolean married = false;
       public Boolean Married
       {
           get { return married; }
           set { married = value;
           NotifyPropertyChanged("Married");
           }
       }

       DateTime dob = DateTime.Now.Date;
       public DateTime DOB
       {
           get { return dob; }
           set { dob = value;
           NotifyPropertyChanged("Dob");
           }
       }

  

       private void NotifyPropertyChanged(String info)
       {
           if (PropertyChanged != null)
           {
               PropertyChanged(this, new PropertyChangedEventArgs(info));
           }
       }





       public event PropertyChangedEventHandler PropertyChanged;
    }
}
